<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.job.JobMonitor
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.job.JobMonitor";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/job/class-use/JobMonitor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="JobMonitor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.job.JobMonitor</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.job"><B>ch.javasoft.job</B></A></TD>
<TD>The <tt>job</tt> package contains classes for the execution of 
<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>jobs</CODE></A>, something similar to Java's 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>runnable</CODE></A>, but adding support for return values and
exception handling; they can be processed in the current
thread, in its own thread or even in an own system process 
(see <A HREF="../../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.dist.impl"><B>ch.javasoft.metabolic.efm.dist.impl</B></A></TD>
<TD>The <tt>dist.impl</tt> package and subpackages contain classes implementing 
strategies for <i>distributed computation</i> of elementary modes, that is, 
for the computation on multiple hosts like on a cluster computer.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.job"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A> in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> that implement <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ExecJobMonitor</code> adds some functions specific for 
 <A HREF="../../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>s to the normal <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><CODE>JobMonitor</CODE></A> functions.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/job/package-summary.html">ch.javasoft.job</A> that return <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/Executable.html" title="type parameter in Executable">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Executable.</B><B><A HREF="../../../../ch/javasoft/job/Executable.html#exec()">exec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes and returns immediately, without waiting for completion.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/AbstractJob.html" title="type parameter in AbstractJob">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractJob.</B><B><A HREF="../../../../ch/javasoft/job/AbstractJob.html#exec()">exec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes the job in a new thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>MultiJobExecutable.</B><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#exec()">exec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/JobProcessor.html" title="type parameter in JobProcessor">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>JobProcessor.</B><B><A HREF="../../../../ch/javasoft/job/JobProcessor.html#exec(J)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/JobProcessor.html" title="type parameter in JobProcessor">J</A>&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Usually executes the given job and returns immediately, without waiting 
 for completion, corresponding to <A HREF="../../../../ch/javasoft/job/Executable.html#exec()"><CODE>Executable.exec()</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/NewThreadJobProcessor.html" title="type parameter in NewThreadJobProcessor">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NewThreadJobProcessor.</B><B><A HREF="../../../../ch/javasoft/job/NewThreadJobProcessor.html#exec(ch.javasoft.job.Job)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../../../../ch/javasoft/job/NewThreadJobProcessor.html" title="type parameter in NewThreadJobProcessor">R</A>&gt;&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="type parameter in CurrentThreadJobProcessor">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>CurrentThreadJobProcessor.</B><B><A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html#exec(ch.javasoft.job.Job)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;<A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html" title="type parameter in CurrentThreadJobProcessor">R</A>&gt;&nbsp;job)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Since executed in the current thread, this method blocks until completion
 just like <A HREF="../../../../ch/javasoft/job/CurrentThreadJobProcessor.html#execAndWait(ch.javasoft.job.Job)"><CODE>CurrentThreadJobProcessor.execAndWait(Job)</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>MultiJobExecutable.</B><B><A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html#exec(ch.javasoft.job.JobTerminationHandler)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job">JobTerminationHandler</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Queue.html" title="class or interface in java.util">Queue</A>&lt;<A HREF="../../../../ch/javasoft/job/MultiJobExecutable.html" title="type parameter in MultiJobExecutable">R</A>&gt;&gt;&nbsp;terminationHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/Executable.html" title="type parameter in Executable">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Executable.</B><B><A HREF="../../../../ch/javasoft/job/Executable.html#exec(ch.javasoft.job.JobTerminationHandler)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job">JobTerminationHandler</A>&lt;<A HREF="../../../../ch/javasoft/job/Executable.html" title="type parameter in Executable">R</A>&gt;&nbsp;terminationHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes and returns immediately, without waiting for completion.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="../../../../ch/javasoft/job/AbstractJob.html" title="type parameter in AbstractJob">R</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractJob.</B><B><A HREF="../../../../ch/javasoft/job/AbstractJob.html#exec(ch.javasoft.job.JobTerminationHandler)">exec</A></B>(<A HREF="../../../../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job">JobTerminationHandler</A>&lt;<A HREF="../../../../ch/javasoft/job/AbstractJob.html" title="type parameter in AbstractJob">R</A>&gt;&nbsp;terminationHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes the job in a new thread.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>PipeJob.</B><B><A HREF="../../../../ch/javasoft/job/PipeJob.html#pipe(java.io.InputStream, java.io.OutputStream)">pipe</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;src,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the specified input stream to the output stream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>PipeJob.</B><B><A HREF="../../../../ch/javasoft/job/PipeJob.html#pipe(java.io.InputStream, java.io.OutputStream, byte[])">pipe</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;src,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;dst,
         byte[]&nbsp;buffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the specified input stream to the output stream.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.dist.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A> in <A HREF="../../../../ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A> that return <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>RunningJob.</B><B><A HREF="../../../../ch/javasoft/metabolic/efm/dist/impl/RunningJob.html#getMonitor()">getMonitor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A> with parameters of type <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/metabolic/efm/dist/impl/RunningJob.html#RunningJob(ch.javasoft.job.Executable, ch.javasoft.job.JobMonitor)">RunningJob</A></B>(<A HREF="../../../../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job">Executable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;&nbsp;executable,
                     <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;&nbsp;monitor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/job/class-use/JobMonitor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="JobMonitor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
